Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.light.shaderlight
Class ShaderSpotLight

    java.lang.Object
      de.rico.engine.effect.light.ogllight.AbstractLight
          de.rico.engine.effect.light.ogllight.PositionalLight
              de.rico.engine.effect.light.ogllight.SpotLight
                  de.rico.engine.effect.light.shaderlight.ShaderSpotLight

All Implemented Interfaces:
  LightIface, PositionalLightIface, SpotLightIface

Deprecated. does not really work correctly in general ;-)

    @Deprecated
    public class ShaderSpotLight

extends SpotLight

This class uses a GLSL shader to create a per pixel spot light. Be aware that you cannot use a simple OpenGL light and a shader light together on the same objects concurrently. You can't apply OpenGL lights to objects that have already a shader light applied.

Author:
  Frank Bruns

Constructor Summary
`ShaderSpotLight()` Deprecated. Creates a new per pixel shader spot light light.

Method Summary
`void` | `bind(javax.media.opengl.GL gl)` Deprecated. Starts using the light.
`void` | `release(javax.media.opengl.GL gl)` Deprecated. Stops using the light.

Methods inherited from class de.rico.engine.effect.light.ogllight.SpotLight
`getCutoff, getDirection, getExponent, getRotX, getRotY, setCutOff, setDirection, setDirection, setExponent, setRotX, setRotY`

Methods inherited from class de.rico.engine.effect.light.ogllight.PositionalLight
`getConstAttenuation, getLinearAttenuation, getPosition, getQuadraticAttenuation, setConstAttenuation, setLinearAttenuation, setPosition, setPosition, setQuadraticAttenuation, setShowLightPosition, setX, setY, setZ`

Methods inherited from class de.rico.engine.effect.light.ogllight.AbstractLight
`destroy, getAmbient, getDiffuse, getLightNr, getLightNrOGLConst, getSpecular, isEnabled, setAmbient, setAmbient, setDiffuse, setDiffuse, setEnabled, setSpecular, setSpecular`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.rico.engine.effect.light.PositionalLightIface
`getPosition, setPosition, setPosition, setX, setY, setZ`

Methods inherited from interface de.rico.engine.effect.light.LightIface
`destroy, setEnabled`

Constructor Detail

### ShaderSpotLight

    public ShaderSpotLight()

  Deprecated.
  Creates a new per pixel shader spot light light. This light is fixed to the GL.GL_LIGHT7 OpenGL light. No other light must use that light number, if this light ought to work properly.

Method Detail

### bind

    public void bind(javax.media.opengl.GL gl)

  Deprecated.
  Description copied from interface: `LightIface`
  Starts using the light. All objects that are rendered after the call to this method, will be affected by the light, if no special treatment was performed on those objects.

  Specified by:
    `bind` in interface `LightIface`
  Overrides:
    `bind` in class `SpotLight`

### release

    public void release(javax.media.opengl.GL gl)

  Deprecated.
  Description copied from interface: `LightIface`
  Stops using the light. Objects that are rendered after a call to this method won't be affected by the light.

  Specified by:
    `release` in interface `LightIface`
  Overrides:
    `release` in class `AbstractLight`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD